#
# spec file for package perl-PerlIO-utf8_strict
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-PerlIO-utf8_strict
Version:        0.005
Release:        3.5
%define cpan_name PerlIO-utf8_strict
Summary:        Fast and correct UTF-8 IO
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/PerlIO-utf8_strict/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         no-return-in-nonvoid-function.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default ':utf8' layer it checks the input for correctness.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes corpus LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.005
  see /usr/share/doc/packages/perl-PerlIO-utf8_strict/Changes
  0.005     2014-11-06 00:56:54+01:00 Europe/Amsterdam
    Add PPPort to compile on perl <5.8.9
* Mon Mar 10 2014 coolo@suse.com
- add no-return-in-nonvoid-function.patch to fix build checks
* Mon Mar 10 2014 coolo@suse.com
- initial package 0.004
  * created by cpanspec 1.78.07
